/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for NM_PETProcedures
 */
public enum EnumCV_NM_PETProcedures
{
	NUCLEAR_MEDICINE_CARDIOVASCULAR_STUDY_P5_D30F8("P5-D30F8"),
	PET_HEART_STUDY_P5_0A006("P5-0A006"),
	RADIOISOTOPE_STUDY_OF_ENDOCRINE_SYSTEM_P5_D6000("P5-D6000"),
	RADIOISOTOPE_STUDY_OF_HEMATOPOIETIC_SYSTEM_P5_D6500("P5-D6500"),
	RADIOISOTOPE_STUDY_OF_GASTROINTESTINAL_SYSTEM_P5_D5000("P5-D5000"),
	RADIONUCLIDE_STUDY_FOR_LOCALIZATION_OF_INFLAMMATORY_DISEASE_P5_D0063("P5-D0063"),
	NUCLEAR_MEDICINE_DIAGNOSTIC_PROCEDURE_ON_MUSCULOSKELETAL_SYSTEM_P5_D10F8("P5-D10F8"),
	NUCLEAR_MEDICINE_DIAGNOSTIC_PROCEDURE_ON_NERVOUS_SYSTEM_P5_D90F8("P5-D90F8"),
	RADIONUCLIDE_LOCALIZATION_OF_TUMOR_P5_D0040("P5-D0040"),
	RADIOISOTOPE_STUDY_OF_RESPIRATORY_SYSTEM_P5_D2000("P5-D2000"),
	RADIOISOTOPE_STUDY_OF_GENITOURINARY_SYSTEM_P5_D7000("P5-D7000"),
	PET_BRAIN_STUDY_P5_0A001("P5-0A001"),
	PET_BREAST_STUDY_P5_0A00D("P5-0A00D"),
	PET_STUDY_FOR_LOCALIZATION_OF_TUMOR_P5_0A00A("P5-0A00A");

	
	private String value;

	EnumCV_NM_PETProcedures(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
